Retrieve dataset version by name

Get a specific version by its version name (e.g., ‘v1’, ‘v373’). This is more efficient than paginating through all versions for large datasets.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
version_namestringRequiredformat: "^v\d+$">=1 character

Version name in format ‘vN’ (e.g., ‘v1’, ‘v373’)

Response

Dataset version
idstringRead-onlyformat: "uuid"
dataset_idstringRead-onlyformat: "uuid"
version_hashstringRead-only
tagslist of stringsRead-only
is_latestbooleanRead-only
Indicates whether this is the latest version of the dataset
version_namestringRead-only
Sequential version name formatted as 'v1', 'v2', etc.
items_totalintegerRead-only
Total number of items in this version
items_addedintegerRead-only
Number of items added since last version
items_modifiedintegerRead-only
Number of items modified since last version
items_deletedintegerRead-only
Number of items deleted since last version
change_descriptionstringRead-only
metadatamap from strings to stringsRead-only
evaluatorslist of objectsRead-only
Default evaluators for items in this version
execution_policyobjectRead-only
Default execution policy for items in this version
created_atdatetimeRead-only
created_bystringRead-only
last_updated_atdatetimeRead-only
last_updated_bystringRead-only

Errors

400
Bad Request Error
404
Not Found Error